<?php
require_once "nusoap/lib/nusoap.php";

$username="ingloboc_inglobo";
$password="inglobo2019";
$hostname="localhost";

$dbhandle=mysql_connect($hostname, $username, $password) or die("No es posible conectarse a mysql");
$selection=mysql_select_db("ingloboc_controlproceso") or die("Base de datos no disponible");

function guardar_planilla($folio_planilla, $cliente_cod, $exportador_cod, $packing_cod, $especie_cod, $usuario_rut, $fecha_inspeccion, $norma_id, $turno, $usu_crea, $fecha_crea, $estado, $obs, $sincro){
	//return $folio_planilla;
	
		$sql =  ("insert into planilla_control(folio_planilla, cliente_cod, exportador_cod, packing_cod, especie_cod, usuario_rut, fecha_inspeccion, norma_id, turno, usu_crea, fecha_crea, estado, obs, sincro) values('$folio_planilla', '$cliente_cod', '$exportador_cod', '$packing_cod', '$especie_cod', '$usuario_rut', '$fecha_inspeccion', '$norma_id', '$turno', '$usu_crea', '$fecha_crea', '$estado', '$obs', 'S')");
	
		$result = @mysql_query($sql);
		if ($result){
			return $mensaje=$folio_planilla;
		} else {
			return $mensaje="ERROR";
		}	
}

function editar_planilla($folio_planilla, $cliente_cod, $exportador_cod, $packing_cod, $especie_cod, $usuario_rut, $fecha_inspeccion, $norma_id, $turno, $usu_crea, $fecha_crea, $estado, $obs, $sincro){
	
	
		$sql = "UPDATE planilla_control SET  
		cliente_cod='$cliente_cod',
		exportador_cod='$exportador_cod',
		packing_cod='$packing_cod',
		especie_cod='$especie_cod',
		usuario_rut='$usuario_rut',
		fecha_inspeccion='$fecha_inspeccion',
		norma_id='$norma_id',
		turno='$turno',
		usu_crea='$usu_crea',
		fecha_crea='$fecha_crea',
		estado='$estado',
		obs='$obs',
		sincro='S'
		WHERE folio_planilla='$folio_planilla'";
		
		$result = @mysql_query($sql);
		if ($result){
			return $mensaje=$folio_planilla;
		} else {
			return $mensaje="ERROR";
		}	
}

function guardar_planilla_datos($planilla_id, $folio_planilla, $hora_registro, $valor1_ingresado, $valor2_ingresado, $id_norma_detalle, $defecto_id, $norma_id, $cumple_norma, $a_correctiva, $nlote, $npallet, $nproceso, $nhidro, $nfrio, $ncamara, $nembarque, $nlinea, $nsalida, $nespecie, $observacion, $usu_crea, $fecha_crea, $sincro){
	//return $folio_planilla;
	
		$sql =  ("insert into planilla_datos (folio_planilla, hora_registro, valor1_ingresado, valor2_ingresado, id_norma_detalle, defecto_id, norma_id, cumple_norma, a_correctiva, nlote, npallet, nproceso, nhidro, nfrio, ncamara, nembarque, nlinea, nsalida, nespecie, observacion, usu_crea, fecha_crea, sincro) values('$folio_planilla', '$hora_registro', '$valor1_ingresado', '$valor2_ingresado', '$id_norma_detalle', '$defecto_id', '$norma_id', '$cumple_norma', '$a_correctiva', '$nlote', '$npallet', '$nproceso', '$nhidro', '$nfrio', '$ncamara', '$nembarque', '$nlinea', '$nsalida', '$nespecie', '$observacion', '$usu_crea', '$fecha_crea', 'S')");
	
		$result = @mysql_query($sql);
		if ($result){
			return $mensaje=$planilla_id;
		} else {
			return $mensaje="ERROR";
		}	
}

function editar_planilla_datos($planilla_id, $folio_planilla, $hora_registro, $valor1_ingresado, $valor2_ingresado, $id_norma_detalle, $defecto_id, $norma_id, $cumple_norma, $a_correctiva, $nlote, $npallet, $nproceso, $nhidro, $nfrio, $ncamara, $nembarque, $nlinea, $nsalida, $nespecie, $observacion, $usu_crea, $fecha_crea, $sincro){
	
	
		$sql = "UPDATE planilla_datos SET  
		hora_registro='$hora_registro',
		valor1_ingresado='$valor1_ingresado',
		valor2_ingresado='$valor2_ingresado',
		id_norma_detalle='$id_norma_detalle',
		defecto_id='$defecto_id',
		norma_id='$norma_id',
		cumple_norma='$cumple_norma', 
		a_correctiva='$a_correctiva',
		nlote='$nlote',
		npallet='$npallet',
		nproceso='$nproceso',
		nhidro='$nhidro',
		nfrio='$nfrio',
		ncamara='$ncamara',
		nembarque='$nembarque',
		nlinea='$nlinea',
		nsalida='$nsalida',
		nespecie='$nespecie',
		observacion='$observacion',
		usu_crea='$usu_crea',
		fecha_crea='$fecha_crea',
		sincro='S'
		WHERE folio_planilla='$folio_planilla' AND defecto_id='$defecto_id' AND hora_registro='$hora_registro'";
		
		$result = @mysql_query($sql);
		if ($result){
			return $mensaje=$planilla_id;
		} else {
			return $mensaje="ERROR";
		}	
}

function guardar_planilla_dia($id_planilla_dia, $cliente_cod, $exportador_cod, $packing_cod, $fecha_proceso, $estado, $usu_crea, $fecha_crea, $sincro){
	//return $folio_planilla;
	
		$sql =  ("insert into planilla_dia (id_planilla_dia, cliente_cod, exportador_cod, packing_cod, fecha_proceso, estado, usu_crea, fecha_crea, sincro) values('$id_planilla_dia', '$cliente_cod', '$exportador_cod', '$packing_cod', '$fecha_proceso', '$estado', '$usu_crea', '$fecha_crea', 'S')");
	
		$result = @mysql_query($sql);
		if ($result){
			return $mensaje=$id_planilla_dia;
		} else {
			return $mensaje="ERROR";
		}	
}

function editar_planilla_dia($id_planilla_dia, $cliente_cod, $exportador_cod, $packing_cod, $fecha_proceso, $estado, $usu_crea, $fecha_crea, $sincro){
	
	
		$sql = "UPDATE planilla_dia SET  
		cliente_cod='$cliente_cod',
		exportador_cod='$exportador_cod',
		packing_cod='$packing_cod',
		fecha_proceso='$fecha_proceso',
		estado='$estado',
		usu_crea='$usu_crea',
		fecha_crea='$fecha_crea',
		sincro='$sincro'
		WHERE id_planilla_dia='$id_planilla_dia'";
		
		$result = @mysql_query($sql);
		if ($result){
			return $mensaje=$id_planilla_dia;
		} else {
			return $mensaje="ERROR";
		}	
}

function guardar_planilla_proceso_dia($id_planilla_proceso_dia, $contador, $id_planilla_dia, $nproceso, $productor_cod, $especie_cod, $variedad_cod, $kilos, $bandejas, $estado, $sincro){
	//return $folio_planilla;
	
		$sql =  ("insert into planilla_proceso_dia (id_planilla_proceso_dia, contador, id_planilla_dia, nproceso, productor_cod, especie_cod, variedad_cod, kilos, bandejas, estado, sincro) values('$id_planilla_proceso_dia', '$contador', '$id_planilla_dia', '$nproceso', '$productor_cod', '$especie_cod', '$variedad_cod', '$kilos', '$bandejas', '$estado', 'S')");
	
		$result = @mysql_query($sql);
		if ($result){
			return $mensaje=$id_planilla_proceso_dia;
		} else {
			return $mensaje="ERROR";
		}	
}

function editar_planilla_proceso_dia($id_planilla_proceso_dia, $contador, $id_planilla_dia, $nproceso, $productor_cod, $especie_cod, $variedad_cod, $kilos, $bandejas, $estado, $sincro){
	
	
		$sql = "UPDATE planilla_proceso_dia SET  
		contador='$contador',
		id_planilla_dia='$id_planilla_dia',
		nproceso='$nproceso',
		productor_cod='$productor_cod',
		especie_cod='$especie_cod',
		variedad_cod='$variedad_cod',
		kilos='$kilos',
		bandejas='$bandejas',
		estado='$estado',
		sincro='S'
		WHERE id_planilla_proceso_dia='$id_planilla_proceso_dia'";
		
		$result = @mysql_query($sql);
		if ($result){
			return $mensaje=$id_planilla_proceso_dia;
		} else {
			return $mensaje="ERROR";
		}	
}


if(!isset($HTTP_RAW_POST_DATA)){
	$HTTP_RAW_POST_DATA=file_get_contents('php://input');
}

$server=new soap_server();
//$server->configureWSDL("Inglobo", "http://rioblanco.inglobochile.cl/Sincronizar/API3/servidor_planillas13-03-2016");
$server->register("guardar_planilla");
$server->register("editar_planilla");
$server->register("guardar_planilla_datos");
$server->register("editar_planilla_datos");
$server->register("guardar_planilla_dia");
$server->register("editar_planilla_dia");
$server->register("guardar_planilla_proceso_dia");
$server->register("editar_planilla_proceso_dia");

$server->service($HTTP_RAW_POST_DATA);

exit;

?>